## pmemkv-python 1.0

=== doc/Makefile ===
# Copyright 2020, Intel Corporation
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in
#       the documentation and/or other materials provided with the
#       distribution.
#
#     * Neither the name of the copyright holder nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
pmemkv-python (1.0-4build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:35:27 +0000

pmemkv-python (1.0-4) unstable; urgency=medium

  * Enable riscv64.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 15 Jan 2022 23:46:12 +0100

pmemkv-python (1.0-3) unstable; urgency=medium

  * Make -doc M-A:foreign.
  * Enable arm64 ppc64el.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 10 Aug 2021 20:21:10 +0200

pmemkv-python (1.0-2) unstable; urgency=medium

  * Pass ${sphinxdoc:Built-Using} and ${python3:Provides}.
  * Enable hardening.
  * Install examples.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 03 Apr 2020 18:51:41 +0200

pmemkv-python (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Build a docs package.

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 06 Mar 2020 17:44:57 +0100

pmemkv-python (1.0~rc1-1) experimental; urgency=medium

  * Initial release (Closes: #951503)

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 17 Feb 2020 15:36:07 +0100

=== debian/control ===
Source: pmemkv-python
Section: python
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libpmemkv-dev,
               libpython3-all-dev,
               python3-all,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/pmem/pmemkv-python
Vcs-Browser: https://github.com/kilobyte/pmemkv-python/tree/debian
Vcs-Git: https://github.com/kilobyte/pmemkv-python.git -b debian
Testsuite: autopkgtest-pkg-python

Package: python3-pmemkv
Architecture: amd64 arm64 ppc64el riscv64
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Suggests: python-pmemkv-doc
Description: key:value data store for persistent memory (Python 3)
 This library provides a Python API for pmemkv -- a data store optimized
 for persistent memory, but functional on traditional storage media as well.
 .
 This package installs the library for Python 3.

Package: python-pmemkv-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Description: key:value data store for persistent memory (documentation)
 This library provides a Python API for pmemkv -- a data store optimized
 for persistent memory, but functional on traditional storage media as well.
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PYBUILD_NAME=pmemkv
PYPATH=./.pybuild/cpython3_3.`python3 -V|cut -d. -f2`_pmemkv/build

%:
	dh $@ --with python3 --with sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH="$(PYPATH)" http_proxy='127.0.0.1:9' python3 -m sphinx -M html doc build
	PYTHONPATH="$(PYPATH)" http_proxy='127.0.0.1:9' python3 -m sphinx -M man doc build
